Subject: bug#21634: text-scale-adjust suggestion

From: Juri Linkov <[email-masked]>
Date: Fri, 01 Jul 2022 18:40:37 +0300

>> We don't need post-command-hook here - this leaves us with just
>> set-transient-map.  As was already suggested, we need either
>> to add a new optional arg TIMEOUT to set-transient-map,
>> or allow a number of seconds in the existing arg KEEP-PRED.
>>
>> Then another question is how the users could customize the timeout.
>> One variable to customize timeout for all commands that use
>> set-transient-map?  Or separate variables for every command:
>> one for indent-rigidly, one for text-scale-adjust?
>
> I think one variable for the timeout would be sufficient, and a value of
> (say) `timeout' for KEEP-PRED could instruct set-transient-map to use
> that timeout, perhaps?

Actually, I can imagine when someone might want to keep a transient map
active with KEEP-PRED, but still deactivate it after a timeout.  So
a separate TIMEOUT looks cleaner.

Anyway, repeat-mode has separate options for repeat-exit-timeout
and constructs a message, so I could copy the same code from repeat-mode
to set-transient-map.